Bug 1417686 - Microversion 2.37 break 2.32 usage
Summary: Microversion 2.37 break 2.32 usage
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M1
: 11.0 (Ocata)
Assignee: Artom Lifshitz
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks: 1416565 1436266
TreeView+ depends on / blocked
 
Reported: 2017-01-30 16:30 UTC by Stephen Gordon
Modified: 2019-09-09 16:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436266 (view as bug list)
Environment:
Last Closed: 2017-03-27 14:32:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1658571 0 None None None 2017-01-30 16:30:25 UTC

Description Stephen Gordon 2017-01-30 16:30:18 UTC
Cloned from launchpad bug 1658571.

Description:

Device tagging support was added in microversion 2.32, as for
ports:
http://git.openstack.org/cgit/openstack/nova/tree/nova/api/openstack/compute/schemas/servers.py#n76
but in latter microversion 2.37 accidentally removed it:
http://git.openstack.org/cgit/openstack/nova/tree/nova/api/openstack/compute/schemas/servers.py#n82

And for bdms:
the schema is added by
https://github.com/openstack/nova/blob/master/nova/api/openstack/compute/block_device_mapping.py#L76
and it will only work for microversion 2.32

So this function is only usable from microversion 2.32 to 2.37 for
ports and only for 2.32 for bdms.

we should fix it and backport to Newton.

Specification URL (additional information):

https://bugs.launchpad.net/nova/+bug/1658571

Comment 1 Stephen Gordon 2017-01-30 16:42:09 UTC
Discussing on the team call today we pondered whether it is feasible for RHOSP 10/11 to workaround this issue by patching the client to explicitly set the relevant microversion when calling `nova boot` with tags.

This would require analyzing the intersection with any microversions occuring after those that work with the feature.

Comment 2 Artom Lifshitz 2017-03-27 14:19:12 UTC
A downstream client workaround has been done for bz1436266, in which the client sets the microversion according to what sort of tagging has been request to allow device tagging to work out of the box as much as possible without needing to pass the --os-compute-api-version flag. This is the best we can do in OSP10 - the real fix will come in OSP11 and microversion 2.42.


Note You need to log in before you can comment on or make changes to this bug.